> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/plugins-and-integrations/convai-pixel-streaming-embed/whitelisting-and-publishing-an-experience.md).

# Whitelisting & Publishing an Experience

## **Prerequisites**

Before using `@convai/experience-embed`, make sure:

1. **Your scene is published** via Convai's Avatar Studio (<https://convai.com>).
2. **You have your `expId`** — available in the "Publish" tab of the scene.
3. **The domain you're embedding on and email used to create the scene is whitelisted** through us.

{% hint style="warning" %}
**Important:** Re-publish your experience after making changes to ensure the latest version is embedded.
{% endhint %}

## How to Publish and Whitelist

1. Create a scene in Convai Avatar Studio.
2. Click **Publish**.
3. Note the **Experience ID (expId)**.
4. Use the `expId` when setting up your embed code.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.convai.com/api-docs/plugins-and-integrations/convai-pixel-streaming-embed/whitelisting-and-publishing-an-experience.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
